%!TEX TS-program = xelatex
%!TEX encoding = UTF-8 Unicode

\documentclass[$fontsize$, a4paper]{article}

% CONTROL/CHECKING
%--------------------------------
% To check page proportions
% \usepackage{showframe}

% To check vertical Rhythm
% \usepackage{vgrid}

% LAYOUT
%--------------------------------
\usepackage{geometry}
\geometry{$geometry$}

% Second page and onwards different top margin height
\usepackage{etoolbox}
\newlength\newtop
\setlength{\newtop}{$geometrysecondarypagestop$}
\makeatletter
\patchcmd\@outputpage{\global \@colht \textheight}{%
\global\textheight=\dimexpr\textheight+\newtop\relax%
\global\topmargin=\dimexpr\topmargin-\newtop\relax%
\global\@colht\textheight%
\global\newtop\z@}{}{\err}
\makeatother

% To lose the justification but have ragged text with hyphenation
\usepackage[document]{ragged2e}

% To color your document text
\usepackage{xcolor}
\definecolor{textcolor}{HTML}{$textcolor$}

\makeatletter
\newcommand{\globalcolor}[1]{%
  \color{#1}\global\let\default@color\current@color
}
\makeatother

\AtBeginDocument{\globalcolor{textcolor}}

% To color your pagebackground
\usepackage{pagecolor}
\definecolor{pagecolor}{HTML}{$pagecolor$}
\pagecolor{pagecolor}

% Trim excessive whitespace before lists
\usepackage{enumitem}
\setlist{nolistsep}

% Letterheads
\usepackage{wallpaper}
$if(letterheadfront)$
\ThisULCornerWallPaper{1}{$letterheadfront$}
$endif$
$if(letterhead)$
\ULCornerWallPaper{1}{$letterhead$}
$endif$

% No page numbers
\pagenumbering{gobble}

% LANGUAGE
%--------------------------------
$if(lang)$
\usepackage{polyglossia}
\setmainlanguage{$lang$}
\PolyglossiaSetup{$lang$}{}
$endif$

% TYPOGRAPHY
%--------------------------------
\usepackage{fontspec}
\usepackage{xunicode}
\usepackage{xltxtra}
\usepackage[protrusion=true,final]{microtype}
% converts LaTeX specials (quotes, dashes etc.) to Unicode
\defaultfontfeatures{Mapping=tex-text}
% Enable special ligatures & stylistic font sets
\setromanfont [Ligatures={Common, Rare, Historic}, Numbers={OldStyle}, RawFeature={+ss02,+ss04,+ss05}]{$mainfont$}

% Cool ampersand
\usepackage{xspace}
\makeatletter
\DeclareRobustCommand{\amper}{%
  \texorpdfstring{%
    \begingroup
    \ifx\f@shape\scname
      \smaller[1.2]%
    \fi
    \char"E050
    \endgroup
    }{\&}\xspace
}
\makeatother

% Cool LaTeX symbol
\newcommand{\latex}{\LaTeX\xspace}

% For hanging Punctuation in block quotes for endorsements
\def\andIquote{\makebox[0pt][r]{``}}

% Command required by how Pandoc handles the list conversion
\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

% PDF SETUP
%--------------------------------
\usepackage[xetex, bookmarks, colorlinks, breaklinks]{hyperref}
\hypersetup
{
  pdfauthor={$author$},
  pdfsubject={$subject$},
  pdftitle={$subject$},
  colorlinks,breaklinks, xetex,
  filecolor=black,
  urlcolor=[HTML]{$linkcolor$},
  linkcolor=[rgb]{$linkcolor$},
  linkcolor=[rgb]{$linkcolor$},
  citecolor=[rgb]{$linkcolor$}
}

% To display custom date in the example
$if(customdate)$
\usepackage[$lang$]{datetime2}
\DTMsavedate{customdate}{$customdate$}
$endif$
% DOCUMENT
%--------------------------------
\begin{document}
\begin{minipage}[t]{\linewidth}
$if(donothidepersonalinformation)$
\small
\textsc{\textbf{$author$}}
$for(from)$
\textbullet{} \textsc{$from$}
$endfor$
$endif$
\vspace{1.081\baselineskip}

\normalsize
$for(to)$
$to$\\
$endfor$

\vspace{3.18\baselineskip}

\begin{flushright}
  $city$, $if(customdate)$\DTMusedate{customdate}$else$\today$endif$
\end{flushright}

\vspace{3.17\baselineskip}

$if(subject)$
\textbf{$subject$}
$endif$
\vspace{1.09\baselineskip}
\end{minipage}

\setlength{\parskip}{.618\baselineskip}

$body$

\begin{FlushRight}
  \IfFileExists{$signaturefile$}
  {
    \includegraphics[height=$signatureheight$\baselineskip]{$signaturefile$} \par
  }
  {
    \vspace{3\baselineskip}
  }
  $author$
\end{FlushRight}

\end{document}
